ZACAI(3)

SYNOPSIS
SUBROUTINE ZACAI (ZR, ZI, FNU, KODE, MR, N, YR, YI, NZ, RL, TOL, + ELIM, ALIM)

NAME
zacai - Subsidiary to ZAIRY

LIBRARY
SLATEC

TYPE
ALL (CACAI-A, ZACAI-A)

AUTHOR
Amos, D. E., (SNL)

DESCRIPTION
ZACAI APPLIES THE ANALYTIC CONTINUATION FORMULA K(FNU,ZN*EXP(MP))=K(FNU,ZN)*EXP(-MP*FNU) - MP*I(FNU,ZN) MP=PI*MR*CMPLX(0.0,1.0) TO CONTINUE THE K FUNCTION FROM THE RIGHT HALF TO THE LEFT HALF Z PLANE FOR USE WITH ZAIRY WHERE FNU=1/3 OR 2/3 AND N=1. ZACAI IS THE SAME AS ZACON WITH THE PARTS FOR LARGER ORDERS AND RECURRENCE REMOVED. A RECURSIVE CALL TO ZACON CAN RESULT IF ZACON IS CALLED FROM ZAIRY.

SEE ALSO
ZAIRY

ROUTINES CALLED
D1MACH, ZABS, ZASYI, ZBKNU, ZMLRI, ZS1S2, ZSERI

REVISION HISTORY (YYMMDD)
830501 DATE WRITTEN
910415 Prologue converted to Version 4.0 format. (BAB)